Bug 626449 - rapid-photo-downloader crashes at startup
Summary: rapid-photo-downloader crashes at startup
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
low
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-23 15:20 UTC by Franck Waechter
Modified: 2010-09-19 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-19 14:00:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Franck Waechter 2010-08-23 15:20:43 UTC
Description of problem:

When I launch rapid-photo-downloader, it crashes (silently)

Version-Release number of selected component (if applicable):

rapid-photo-downloader-0.3.1-1.fc15.noarch
notify-python-0.1.1-14.fc15.i686

How reproducible:


Steps to Reproduce:
1. Launch rapid-photo-downloader in terminal
2. It crashes
3. See traces
  
Actual results:

it crashes with console message :
"Problem using pynotify"

Expected results:

Window must appear

Additional info:

I'm using last gnome-shell packages.
It works in F13/x86_64 with gnome-shell too.

Comment 1 Franck Waechter 2010-08-23 15:59:42 UTC
In source code, I can see :

import pynotify
...
...
def initPyNotify(self):
if not pynotify.init("TestCaps"):
sys.stderr.write(_("Problem using pynotify.") + "\n")
sys.exit(1)

Comment 2 Fabian Affolter 2010-09-01 10:49:49 UTC
For me the package works fine on Fedora 13 too (without gnome-shell).  Perhaps there was a bigger change in pynotify that make rapid-photo-downloader no longer working in Rawhide.

Comment 4 Franck Waechter 2010-09-19 13:45:35 UTC
The bug was fixed with the last notify-python update :

notify-python-0.1.1-15.fc15.i686.rpm

Changelog :

* Thu Sep 09 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.1-15 - fix init.py so that it is able to load the needed GTK2 symbols from pygtk (bz 626852)

Thanks


Note You need to log in before you can comment on or make changes to this bug.